<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ taglib uri='http://java.sun.com/portlet' prefix='portlet'%>

<%@ include file="/WEB-INF/jsp/commons/portlet_base.jsp"%>

<% String messageBunle = "component_spago4q_messages"; %>

<portlet:defineObjects/>

<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section-no-buttons' 
        style='vertical-align:middle;padding-left:5px;'>
    <spagobi:message key = "s4q.configurationSources.title" bundle="<%=messageBunle%>"/>
    </td>
  </tr>
</table>


<div class="div_background">
    <br/> 
  <table>
    <tr class="portlet-font">
      <td width="100" align="center">
        <img src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/img/dataSourceIcon.png")%>'/>
      </td>
      <td width="20">
        &nbsp;
      </td>
      <td vAlign="middle">
          <br/> 
        <a href='<portlet:actionURL><portlet:param name="PAGE" value="ESourceTypePage"/></portlet:actionURL>' 
          class="link_main_menu" >
          <spagobi:message key="s4q.wz5.datasources" bundle="<%=messageBunle%>"/>
        </a>
      </td>
    </tr>
        <tr class="portlet-font">
      <td width="100" align="center">
        <img src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/img/extractionProcessIcon.png")%>'/>
      </td>
      <td width="20">
        &nbsp;
      </td>
      <td vAlign="middle">
          <br/> 
        <a href='<portlet:actionURL><portlet:param name="PAGE" value="EProcessPage"/></portlet:actionURL>' 
          class="link_main_menu" >
          <spagobi:message key="s4q.wz6.extractionProcess" bundle="<%=messageBunle%>"/>
        </a>
      </td>
    </tr>
    <tr class="portlet-font">
      <td width="100" align="center">
        <img src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/img/extractionProcessIcon.png")%>'/>
      </td>
      <td width="20">
        &nbsp;
      </td>
      <td vAlign="middle">
          <br/> 
        <a href='<portlet:actionURL><portlet:param name="PAGE" value="EInterfaceTypePage"/></portlet:actionURL>' 
          class="link_main_menu" >
          <spagobi:message key="s4q.wz6.Interface" bundle="<%=messageBunle%>"/>
        </a>
      </td>
    </tr>
    <tr class="portlet-font">
      <td width="100" align="center">
        <img src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/img/extractionProcessIcon.png")%>'/>
      </td>
      <td width="20">
        &nbsp;
      </td>
      <td vAlign="middle">
          <br/> 
        <a href='<portlet:actionURL><portlet:param name="PAGE" value="EScriptPage"/></portlet:actionURL>' 
          class="link_main_menu" >
          <spagobi:message key="s4q.wz6.Script" bundle="<%=messageBunle%>"/>
        </a>
      </td>
    </tr>
    
  </table>
  <br/>
</div>  

<%@ include file="/WEB-INF/jsp/commons/footer.jsp"%>